package com.project.zcustom.mapper.service.smart;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.project.zcustom.domain.smart.PlatGreenFoods;
import org.apache.ibatis.annotations.Param;
import com.github.yulichang.base.MPJBaseMapper;

import java.util.List;

/**
 * 菜谱数据Mapper接口
 *
 * @author change
 * @date 2024-11-01
 */
public interface PlatGreenFoodsMapper extends MPJBaseMapper<PlatGreenFoods> {

    /**
     * 真删接口
     */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<PlatGreenFoods> deleteWrapper);

    public String getFoodsTypeNum(String appOrg);

    List<PlatGreenFoods> getFoodName();
}
