package com.project.zcustom.service.video.impl;

import com.project.zcustom.domain.video.ZnhqWebcam;
import com.project.zcustom.mapper.video.ScreenUnifiedVideoMapper;
import com.project.zcustom.service.video.IScreenUnifiedVideoService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;


/**
 * 参数配置 服务层实现
 *
 * @author ruoyi
 */
@Service
public class ScreenUnifiedVideoService implements IScreenUnifiedVideoService {
    @Resource
    private ScreenUnifiedVideoMapper screenUnifiedVideoMapper;

    /**
     * 查询视频列表
     * @param code
     * @return
     */
    @Override
    public List<ZnhqWebcam> selectVideoList(String code){
        return screenUnifiedVideoMapper.selectVideoList(code);
    }
}
